MyGUI: MyGUI::LayoutManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
MyGUI::LayoutManager Class Reference

`#include <MyGUI_LayoutManager.h>`

Inheritance diagram for MyGUI::LayoutManager:
[legend]

## Public Member Functions
| LayoutManager ()
void | initialise ()
void | shutdown ()
VectorWidgetPtr | loadLayout (const std::string &_file, const std::string &_prefix="", Widget *_parent=nullptr)
void | unloadLayout (VectorWidgetPtr &_widgets)
ResourceLayout * | getByName (const std::string &_name, bool _throw=true) const
bool | isExist (const std::string &_name) const
const std::string & | getCurrentLayout () const
Public Member Functions inherited from MyGUI::MemberObsolete< LayoutManager >
VectorWidgetPtr | load (const std::string &_file)

## Static Public Member Functions
static LayoutManager & | getInstance ()
static LayoutManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Data Fields
EventHandle_CreateWidgetDelegate | eventCreateWidget
EventHandle_AddUserStringDelegate | eventAddUserString

## Detailed Description

Definition at line 23 of file MyGUI_LayoutManager.h.

## Constructor & Destructor Documentation

## ◆ LayoutManager()

MyGUI::LayoutManager::LayoutManager | ( |  | ) |

Definition at line 18 of file MyGUI_LayoutManager.cpp.

## Member Function Documentation

## ◆ getByName()

ResourceLayout * MyGUI::LayoutManager::getByName | ( | const std::string & | _name,
|  | bool | _throw = true ) const

Get ResourceLayout by name

Definition at line 86 of file MyGUI_LayoutManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::LayoutManager::getClassTypeName | ( |  | ) |
| static

## ◆ getCurrentLayout()

const std::string & MyGUI::LayoutManager::getCurrentLayout | ( |  | ) | const

Definition at line 105 of file MyGUI_LayoutManager.cpp.

## ◆ getInstance()

static LayoutManager & MyGUI::LayoutManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static LayoutManager * MyGUI::LayoutManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::LayoutManager::initialise | ( |  | ) |

Definition at line 25 of file MyGUI_LayoutManager.cpp.

## ◆ isExist()

bool MyGUI::LayoutManager::isExist | ( | const std::string & | _name | ) | const

Check if skin with specified name exist

Definition at line 110 of file MyGUI_LayoutManager.cpp.

## ◆ loadLayout()

VectorWidgetPtr MyGUI::LayoutManager::loadLayout | ( | const std::string & | _file,
|  | const std::string & | _prefix = "",
|  | Widget * | _parent = nullptr )

Load layout file

Parameters

  _file | name of layout
  _prefix | will be added to all loaded widgets names
  _parent | widget to load on

Returns
  Return vector of pointers of loaded root widgets (root == without parents)

Definition at line 59 of file MyGUI_LayoutManager.cpp.

## ◆ shutdown()

void MyGUI::LayoutManager::shutdown | ( |  | ) |

Definition at line 39 of file MyGUI_LayoutManager.cpp.

## ◆ unloadLayout()

void MyGUI::LayoutManager::unloadLayout | ( | VectorWidgetPtr & | _widgets | ) |

Unload layout (actually deletes vector of widgets returned by loadLayout)

Definition at line 81 of file MyGUI_LayoutManager.cpp.

## Field Documentation

## ◆ eventAddUserString

EventHandle_AddUserStringDelegate MyGUI::LayoutManager::eventAddUserString

Event : Multidelegate. UserString was added from layout.
signature : void method(MyGUI::Widget* _widget, const std::string& _key, const std::string& _value)

Parameters

  _widget | Widget that got new UserString.
  _key | UserString key.
  _key | UserString value.

Note
  Happens only when UserString was loaded from layout, but not when it was added in code.

Definition at line 66 of file MyGUI_LayoutManager.h.

## ◆ eventCreateWidget

EventHandle_CreateWidgetDelegate MyGUI::LayoutManager::eventCreateWidget

Event : Multidelegate. Widget was created from layout.
signature : void method(MyGUI::Widget* _sender, const MyGUI::WidgetInfo& _widgetInfo)

Parameters

  _widget | Widget that got new UserString.
  _key | UserString key.
  _key | UserString value.

Note
  Happens only when Widget was loaded from layout, but not when it was created in code.

Definition at line 57 of file MyGUI_LayoutManager.h.

The documentation for this class was generated from the following files:

- MyGUI_LayoutManager.h
- MyGUI_LayoutManager.cpp